X
Tap here to go to the mobile version of the site.

Support Forum

older computer, won't up-date

Posted

I use an older computer to do my work and my banking. I have an XP. How do I download the newest version of Firefox? I went to your site, it downloaded and then stated that it could not continue. I need to up-grade to do my banking!

John

I use an older computer to do my work and my banking. I have an XP. How do I download the newest version of Firefox? I went to your site, it downloaded and then stated that it could not continue. I need to up-grade to do my banking! John

Additional System Details

Installed Plug-ins

  • Adobe PDF Plug-In For Firefox and Netscape "9.5.0"
  • Shockwave Flash 10.3 r183
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.
  • npunagi2
  • RealJukebox Netscape Plugin
  • RealPlayer(tm) LiveConnect-Enabled Plug-In
  • 6.0.12.1483

Application

  • User Agent: Mozilla/5.0 (Windows NT 5.0; rv:12.0) Gecko/20100101 Firefox/12.0

More Information

{"libraryVersions": "Troubleshoot data provider failed: libraryVersions\nTypeError: Cc['@mozilla.org/security/nssversion;1'] is undefined", "javaScript": "Troubleshoot data provider failed: javaScript\nTypeError: winEnumer.getNext().QueryInterface(Ci.nsIInterfaceRequestor).getInterface(Ci.nsIDOMWindowUtils).isIncrementalGCEnabled is not a function", "accessibility": {"isActive": false}, "application": {"userAgent": "Mozilla/5.0 (Windows NT 5.0; rv:12.0) Gecko/20100101 Firefox/12.0", "supportURL": "http://support.mozilla.org/1/firefox/12.0/WINNT/en-US/", "version": "12.0", "name": "Firefox"}, "modifiedPreferences": {"security.warn_viewing_mixed": false, "privacy.sanitize.timeSpan": 0, "browser.places.smartBookmarksVersion": 2, "network.cookie.prefsMigrated": true, "browser.cache.disk.capacity": 1048576, "browser.startup.homepage_override.buildID": "20120420145725", "browser.cache.disk.smart_size.first_run": false, "browser.startup.homepage_override.mstone": "rv:12.0", "dom.disable_open_during_load": false, "places.history.expiration.transient_optimal_database_size": 21455174, "extensions.lastAppVersion": "12.0", "privacy.cpd.offlineApps": true, "browser.cache.disk.smart_size_cached_value": 778240, "places.database.lastMaintenance": 1411225305, "browser.startup.homepage": "www.msn.com", "privacy.sanitize.migrateFx3Prefs": true, "places.history.expiration.transient_current_max_pages": 13410, "privacy.cpd.siteSettings": true}, "extensions": [{"version": "2.2.3", "name": "Adblock Plus", "isActive": true, "id": "{d10d0bf8-f5b5-c8b4-a8b2-2b9879e08c5d}"}, {"version": "8.0.1483", "name": "avast! WebRep", "isActive": true, "id": "wrc@avast.com"}, {"version": "1.1a", "name": "Troubleshooter", "isActive": true, "id": "troubleshooter@mozilla.org"}, {"version": "20120910", "name": "WOT", "isActive": true, "id": "{a0d7ccb3-214d-498b-b4aa-0e8fda9a7bf7}"}, {"version": "1.0", "name": "SiteRanker", "isActive": false, "id": "siteranker@siteranker.com"}, {"version": "1.9.1", "name": "XULRunner", "isActive": false, "id": "{B8A49A78-4A04-4CE3-9096-9856991EEAA8}"}], "graphics": {"directWriteEnabled": false, "driverDate": "", "adapterVendorID2": "", "driverVersion": "4.3.0.3", "numAcceleratedWindowsMessage": ["blockedOSVersion"], "driverDate2": "", "adapterDeviceID": "0x0171", "adapterDescription": "NVIDIA GeForce4 MX 440", "directWriteVersion": "0.0.0.0", "webglRendererMessage": [""], "driverVersion2": "", "adapterVendorID": "0x10de", "direct2DEnabled": false, "adapterRAM": "Unknown", "adapterDrivers2": "", "isGPU2Active": false, "adapterRAM2": "", "numTotalWindows": 1, "direct2DEnabledMessage": [""], "info": {}, "numAcceleratedWindows": 0, "windowLayerManagerType": "Basic", "adapterDeviceID2": "", "adapterDrivers": "nv4_disp", "adapterDescription2": ""}, "userJS": {"exists": false}}

Tyler Downer
  • Top 25 Contributor
  • Moderator
1538 solutions 10733 answers

You user agent says you have Windows 2000, not XP. If you have 2000 then you can't update. Firefox no longer works with Windows 2000

You user agent says you have Windows 2000, not XP. If you have 2000 then you can't update. [[Firefox no longer works with Windows 2000]]
cor-el
  • Top 10 Contributor
  • Moderator
17569 solutions 158915 answers

See also this mozillaZine forum thread. Firefox 13+ in Windows 2000:

See also this mozillaZine forum thread. Firefox 13+ in Windows 2000: * http://forums.mozillazine.org/viewtopic.php?f=23&t=2482475
James
  • Top 25 Contributor
  • Moderator
1600 solutions 11321 answers

If you are indeed to using Windows XP then you need at least SP2 if not SP3 for WinXP. on order to use Firefox 13.0 to current.

https://www.mozilla.org/en-US/firefox/12.0/system-requirements/ https://www.mozilla.org/en-US/firefox/13.0/system-requirements/ https://www.mozilla.org/en-US/firefox/32.0/system-requirements/

If you are indeed to using Windows XP then you need at least '''SP2''' if not SP3 for WinXP. on order to use Firefox 13.0 to current. https://www.mozilla.org/en-US/firefox/12.0/system-requirements/ https://www.mozilla.org/en-US/firefox/13.0/system-requirements/ https://www.mozilla.org/en-US/firefox/32.0/system-requirements/

Modified by James